#
# spec file for package taradino
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           taradino
Version:        1.1.3+git61.4404962
%define rev 44049622bb622694cb7c532774ca271ca72ce6b3
Release:        1.0.2.1.sr20250601
Summary:        SDL port of the Rise of the Triad engine
License:        GPL-2.0-or-later
Group:          Amusements/Games/3D/Shoot
#URL:            https://icculus.org/rott/
URL:            https://github.com/fabiangreffrath/taradino
Source:         https://github.com/fabiangreffrath/taradino/archive/%rev.tar.gz
BuildRequires:  c++_compiler
BuildRequires:  cmake
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(sdl2)
Provides:       rott = 1.4
Obsoletes:      rott < 1.4

%description
The package contains an SDL port of the engine used for the
first-person 3D action game "Rise of the Triad".

The ROTT engine is a derivative of the Wolfenstein 3D one, inheriting
level design limits like orthogonal walls and flat floor and ceiling
heights throughout a map. However, the engine did pioneer panoramic
skies, simulated dynamic lighting, fog, bullet holes, breakable glass
walls, and synthetic level-over-level environments through use of
individual collision objects.

%prep
%autosetup -p1 -n %name-%rev

%build
export CFLAGS="%optflags -fno-strict-aliasing"
srcdir="$PWD"
%define __builddir darkwar
%cmake
%cmake_build

cd "$srcdir/"
%define __builddir huntbgin
%cmake -DTARADINO_SHAREWARE:BOOL=ON -DTARADINO_SUFFIX:STRING=huntbgin
%cmake_build

%install
srcdir="$PWD"
%define __builddir darkwar
%cmake_install

cd "$srcdir/"
%define __builddir huntbgin
%cmake_install

ln -s taradino "%buildroot/%_bindir/rott"
ln -s taradino-huntbgin "%buildroot/%_bindir/rott-huntbgin"

%files
%_bindir/rott*
%_bindir/taradino*
%_mandir/man6/taradino*
%_datadir/applications/*.desktop
%_datadir/icons/*
%doc README.md doc/cheats.txt doc/cmdline.txt
%license COPYING

%changelog
* Tue Jun 17 2025 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 1.1.3+git61 (commit 4404962)
  * Project renamed itself to "taradino"
  * Add support for RottEX map files to rt_ted.c
  * Fix left shift key not showing up as a bind
  * Prevent moving walls from hijacking sound channel 0
  * Fix a read past memory region allocated for a door
* Mon Aug 28 2023 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 1.2~git107 (commit 662bb1b55; 1.1.2+git107)
  * Change screenshot format from .pcx/.lbm to .bmp
  * Fix fadein/fadeout rendition of Darkwar intro sequence
* Sun Jul  2 2023 Jan Engelhardt <jengelh@inai.de>
- Update to snapshot 1.2~git66 (commit 99e8523e4; 1.1.2+git66)
  * Switch from SDL1 to SDL2
* Sun Jun 28 2015 jengelh@inai.de
- Initial package (version 1.1.2.s287) for build.opensuse.org
